
From: Alexander Nyberg <alexn@telia.com>

I saw you missed a semicolon in your recent i810_main.c patch and
CONFIG_I2C_ALGOBIT is required for CONFIG_FB_I810_I2C

Signed-off-by: Alexander Nyberg <alexn@telia.com>
Cc: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/Kconfig          |    1 +
 drivers/video/i810/i810_main.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/video/i810/i810_main.c~i810fb-add-i2c-ddc-support-fix-fix drivers/video/i810/i810_main.c
--- devel/drivers/video/i810/i810_main.c~i810fb-add-i2c-ddc-support-fix-fix	2005-09-02 13:08:32.000000000 -0700
+++ devel-akpm/drivers/video/i810/i810_main.c	2005-09-02 13:09:18.000000000 -0700
@@ -1831,7 +1831,7 @@ static void __devinit i810fb_find_init_m
 	struct fb_monspecs *specs = NULL;
 	int found = 0;
 #ifdef CONFIG_FB_I810_I2C
-	int i
+	int i;
 	int err;
 	struct i810fb_par *par = info->par;
 #endif
diff -puN drivers/video/Kconfig~i810fb-add-i2c-ddc-support-fix-fix drivers/video/Kconfig
--- devel/drivers/video/Kconfig~i810fb-add-i2c-ddc-support-fix-fix	2005-09-02 13:08:32.000000000 -0700
+++ devel-akpm/drivers/video/Kconfig	2005-09-02 13:08:32.000000000 -0700
@@ -754,6 +754,7 @@ config FB_I810_GTF
 config FB_I810_I2C
 	bool "Enable DDC Support"
 	depends on FB_I810 && I2C && FB_I810_GTF
+	select I2C_ALGOBIT
 	help
 
 config FB_INTEL
_
